Bug 163374 - [macOS] [iOS] Disable variation fonts on macOS El Capitan and iOS 9
Summary: [macOS] [iOS] Disable variation fonts on macOS El Capitan and iOS 9
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-12 19:08 PDT by Myles C. Maxfield
Modified: 2016-10-20 16:08 PDT (History)
14 users (show)

See Also:


Attachments
Patch (44.14 KB, patch)
2016-10-12 19:19 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (1.05 MB, application/zip)
2016-10-12 20:36 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-yosemite-wk2 (1.24 MB, application/zip)
2016-10-12 20:41 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-yosemite (1.77 MB, application/zip)
2016-10-12 20:47 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (7.49 MB, application/zip)
2016-10-12 21:06 PDT, Build Bot
no flags Details
Patch (44.16 KB, patch)
2016-10-12 21:20 PDT, Myles C. Maxfield
darin: review+
Details | Formatted Diff | Diff
Patch for committing (50.77 KB, patch)
2016-10-17 16:46 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (49.36 KB, patch)
2016-10-17 16:51 PDT, Myles C. Maxfield
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (6.78 MB, application/zip)
2016-10-17 18:39 PDT, Build Bot
no flags Details
Patch for committing (53.24 KB, patch)
2016-10-18 14:39 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch for committing (50.36 KB, patch)
2016-10-18 14:44 PDT, Myles C. Maxfield
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (deleted)
2016-10-18 16:34 PDT, Build Bot
no flags Details
Patch for committing (50.38 KB, patch)
2016-10-18 17:01 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2016-10-12 19:08:50 PDT
[macOS] [iOS] Disable variation fonts on macOS El Capitan and iOS 9
Comment 1 Myles C. Maxfield 2016-10-12 19:19:58 PDT
Created attachment 291441 [details]
Patch
Comment 2 Simon Fraser (smfr) 2016-10-12 19:29:24 PDT
Comment on attachment 291441 [details]
Patch

Do we actually want the CSS properties to disappear on earlier OSes, or do we just want them to be no-ops?
Comment 3 Myles C. Maxfield 2016-10-12 19:33:49 PDT
(In reply to comment #2)
> Comment on attachment 291441 [details]
> Patch
> 
> Do we actually want the CSS properties to disappear on earlier OSes, or do
> we just want them to be no-ops?

We don't want @supports to lie.
Comment 4 Myles C. Maxfield 2016-10-12 19:51:45 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > Comment on attachment 291441 [details]
> > Patch
> > 
> > Do we actually want the CSS properties to disappear on earlier OSes, or do
> > we just want them to be no-ops?
> 
> We don't want @supports to lie.

For that same reason, @supports also shouldn't lie when the runtime switch is disabled, right? Now that we have a compile time switch and the runtime switch is on by default, do we even need the runtime switch anymore?
Comment 5 Build Bot 2016-10-12 20:36:17 PDT
Comment on attachment 291441 [details]
Patch

Attachment 291441 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2274270

New failing tests:
fast/text/variations/advances.html
animations/font-variations/font-variation-settings-unlike.html
animations/font-variations/font-variation-settings.html
fast/text/variations/getComputedStyle.html
Comment 6 Build Bot 2016-10-12 20:36:21 PDT
Created attachment 291447 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-10-12 20:41:00 PDT
Comment on attachment 291441 [details]
Patch

Attachment 291441 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2274279

New failing tests:
fast/text/variations/advances.html
animations/font-variations/font-variation-settings-unlike.html
animations/font-variations/font-variation-settings.html
fast/text/variations/getComputedStyle.html
Comment 8 Build Bot 2016-10-12 20:41:04 PDT
Created attachment 291449 [details]
Archive of layout-test-results from ews106 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 9 Build Bot 2016-10-12 20:47:01 PDT
Comment on attachment 291441 [details]
Patch

Attachment 291441 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2274293

New failing tests:
fast/text/variations/advances.html
animations/font-variations/font-variation-settings-unlike.html
animations/font-variations/font-variation-settings.html
fast/text/variations/getComputedStyle.html
Comment 10 Build Bot 2016-10-12 20:47:04 PDT
Created attachment 291450 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 11 Build Bot 2016-10-12 21:06:38 PDT
Comment on attachment 291441 [details]
Patch

Attachment 291441 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2274299

New failing tests:
media/controls/ipad/close-page-with-picture-in-picture-video-assertion-failure.html
Comment 12 Build Bot 2016-10-12 21:06:42 PDT
Created attachment 291451 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 13 Myles C. Maxfield 2016-10-12 21:20:59 PDT
Created attachment 291453 [details]
Patch
Comment 14 Alex Christensen 2016-10-13 08:38:14 PDT
Comment on attachment 291453 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=291453&action=review

> Source/WebKit/mac/Configurations/FeatureDefines.xcconfig:211
> +ENABLE_VARIATION_FONTS_macosx_101300 = ENABLE_VARIATION_FONTS;

It would be nice if this could default to enabled except for old OSes so we won't accidentally forget to change this when we start to build for 10.14
Comment 15 Alex Christensen 2016-10-13 08:38:19 PDT
View in context: https://bugs.webkit.org/attachment.cgi?id=291453&action=review

> Source/WebKit/mac/Configurations/FeatureDefines.xcconfig:211
> +ENABLE_VARIATION_FONTS_macosx_101300 = ENABLE_VARIATION_FONTS;

It would be nice if this could default to enabled except for old OSes so we won't accidentally forget to change this when we start to build for 10.14
Comment 16 Darin Adler 2016-10-13 12:35:02 PDT
Comment on attachment 291453 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=291453&action=review

>> Source/WebKit/mac/Configurations/FeatureDefines.xcconfig:211
>> +ENABLE_VARIATION_FONTS_macosx_101300 = ENABLE_VARIATION_FONTS;
> 
> It would be nice if this could default to enabled except for old OSes so we won't accidentally forget to change this when we start to build for 10.14

Seems critical, in fact, that old versions are listed, not new versions. Is there some reason we can’t easily do that?

> LayoutTests/platform/ios-simulator/TestExpectations:2710
> +# Font variations are not implemented on iOS 9.
> +fast/text/variations [ Pass Failure ImageOnlyFailure ]
> +animations/font-variations [ Pass Failure ImageOnlyFailure ]

The expectations in this file aren’t specific to iOS 9, so that comment is confusing.
Comment 17 Darin Adler 2016-10-17 10:51:56 PDT
Comment on attachment 291453 [details]
Patch

Myles, can you find a way to do this that enumerates the old versions of macOS instead of the new versions?
Comment 18 Myles C. Maxfield 2016-10-17 16:26:43 PDT
(In reply to comment #16)
> Comment on attachment 291453 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=291453&action=review
> 
> >> Source/WebKit/mac/Configurations/FeatureDefines.xcconfig:211
> >> +ENABLE_VARIATION_FONTS_macosx_101300 = ENABLE_VARIATION_FONTS;
> > 
> > It would be nice if this could default to enabled except for old OSes so we won't accidentally forget to change this when we start to build for 10.14
> 
> Seems critical, in fact, that old versions are listed, not new versions. Is
> there some reason we can’t easily do that?
> 
> > LayoutTests/platform/ios-simulator/TestExpectations:2710
> > +# Font variations are not implemented on iOS 9.
> > +fast/text/variations [ Pass Failure ImageOnlyFailure ]
> > +animations/font-variations [ Pass Failure ImageOnlyFailure ]
> 
> The expectations in this file aren’t specific to iOS 9, so that comment is
> confusing.

I don't believe there is currently a mechanism for discriminating between iOS 9 and iOS 10 in TestExpectations.
Comment 19 Myles C. Maxfield 2016-10-17 16:46:51 PDT
Created attachment 291897 [details]
Patch for committing
Comment 20 Myles C. Maxfield 2016-10-17 16:51:49 PDT
Created attachment 291898 [details]
Patch for committing
Comment 21 Build Bot 2016-10-17 18:39:25 PDT
Comment on attachment 291898 [details]
Patch for committing

Attachment 291898 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2307909

New failing tests:
animations/font-variations/font-variation-settings-unlike.html
animations/font-variations/font-variation-settings.html
animations/font-variations/font-variation-settings-order.html
fast/text/variations/getComputedStyle.html
Comment 22 Build Bot 2016-10-17 18:39:29 PDT
Created attachment 291909 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 23 Myles C. Maxfield 2016-10-18 14:39:01 PDT
Created attachment 291985 [details]
Patch for committing
Comment 24 Myles C. Maxfield 2016-10-18 14:44:13 PDT
Created attachment 291987 [details]
Patch for committing
Comment 25 Build Bot 2016-10-18 16:34:12 PDT
Comment on attachment 291987 [details]
Patch for committing

Attachment 291987 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2318192

New failing tests:
animations/font-variations/font-variation-settings.html
fast/text/variations/getComputedStyle.html
Comment 26 Build Bot 2016-10-18 16:34:19 PDT
Created attachment 292001 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 27 Myles C. Maxfield 2016-10-18 17:01:16 PDT
Created attachment 292005 [details]
Patch for committing
Comment 28 WebKit Commit Bot 2016-10-19 12:43:33 PDT
Comment on attachment 292005 [details]
Patch for committing

Clearing flags on attachment: 292005

Committed r207557: <http://trac.webkit.org/changeset/207557>
Comment 29 Ryan Haddad 2016-10-19 14:16:50 PDT
Reverted r207557 for reason:

This change caused animations/font-variations tests to time out on pre-Sierra Macs.

Committed r207568: <http://trac.webkit.org/changeset/207568>
Comment 30 Myles C. Maxfield 2016-10-20 16:08:46 PDT
Committed r207642: <http://trac.webkit.org/changeset/207642>